Financial Reports
Retrieve journal book, general ledger, trial balance, balance sheet, income statement, and cash flow statement. CSV export is also available.
|
Endpoints
| GET | /api/v1/accounting/reports/journal-book | Get journal book |
| GET | /api/v1/accounting/reports/general-ledger | Get general ledger |
| GET | /api/v1/accounting/reports/trial-balance | Get trial balance |
| GET | /api/v1/accounting/reports/balance-sheet | Get balance sheet |
| GET | /api/v1/accounting/reports/income-statement | Get income statement |
| GET | /api/v1/accounting/reports/cash-flow-statement | Get cash flow statement |
GET
/api/v1/accounting/reports/journal-bookGet journal book
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/journal-book" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/general-ledgerGet general ledger
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
account_id | string | Optional | Filter by account ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/general-ledger" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/trial-balanceGet trial balance
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/trial-balance" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/balance-sheetGet balance sheet
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/balance-sheet" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/income-statementGet income statement
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/income-statement" \
-H "Cookie: better-auth.session_token=<token>"GET
/api/v1/accounting/reports/cash-flow-statementGet cash flow statement
Authentication required— Include session cookie or Bearer token
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
fiscal_year_id | string | Optional | Fiscal year ID |
Code Examples
curl "https://api.blueai.jp/api/v1/accounting/reports/cash-flow-statement" \
-H "Cookie: better-auth.session_token=<token>"